View Issue Details

IDProjectCategoryView StatusLast Update
0004521Slicer4Module VolumeRenderingpublic2018-06-11 16:03
ReporterlassoanAssigned Topinter 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.9.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004521: Add reset volume rendering preset to default
Description

When a volume rendering preset is selected already and user wants to reset settings of that preset, then it is necessary to select a different preset and then select the original preset again.

It would be more convenient to have a reset button (next to the preset selector) that would reset settings to the selected preset.

TagsNo tags attached.

Activities

jcfr

jcfr

2018-03-31 01:19

administrator   ~0015631

Re-targeting. I will add this to the "known issues" section associated with the release

pinter

pinter

2018-06-11 14:59

developer   ~0015886

As there is still no release and I'm starting to work on this now, I'll target it again for 4.9.0

pinter

pinter

2018-06-11 16:03

developer   ~0015887

According to discussion with Andras, instead of a reset button, it's enough if the preset is reverted by re-selecting it again in the dropdown. That change implemented in https://github.com/Slicer/Slicer/commit/c5636f4ccf39285808d98047483a5074e87168b7

Issue History

Date Modified Username Field Change
2018-03-19 10:03 lassoan New Issue
2018-03-19 10:03 lassoan Status new => assigned
2018-03-19 10:03 lassoan Assigned To => pinter
2018-03-31 01:19 jcfr Note Added: 0015631
2018-03-31 01:19 jcfr Target Version Slicer 4.9.0 => Slicer 4.11.0
2018-06-11 14:59 pinter Target Version Slicer 4.11.0 => Slicer 4.9.0
2018-06-11 14:59 pinter Note Added: 0015886
2018-06-11 16:03 pinter Status assigned => resolved
2018-06-11 16:03 pinter Resolution open => fixed
2018-06-11 16:03 pinter Fixed in Version => Slicer 4.9.0
2018-06-11 16:03 pinter Note Added: 0015887